import os 
from subprocess import run 
import numpy as np 

base_path=os.getenv("REALISM_BASE_PATH")

num_configs = 5 
base_dir = f"{base_path}/datasets"
config_base_name = "cutstyle_digi2ffhq"
shards = [0,1,2,3,4]
numpy_seed = 10

shards_base_path = {
 "A":f"{base_path}/datasets/digiface1m_shard",
 "B":f"{base_path}/datasets/ffhq128x128_shard"
}

np.random.seed(numpy_seed)
for i in range(num_configs):
    print(f"Working on config {i}")
    config_name = f"{config_base_name}/config_{i}"
    cur_config_full_path = os.path.join(base_dir, config_name)
    os.makedirs(cur_config_full_path, exist_ok=True)

    for sec in ["A", "B"]:

        picked_shards = np.random.choice(shards, 3, replace=False)
        for picked_shard, part in zip(picked_shards, ["test", "train", "val"]):

            source_link = shards_base_path[sec] + f"{picked_shard}/" # Note the `/` at the nd it is important
            dest_path = os.path.join(base_dir, config_name)
            os.makedirs(dest_path, exist_ok=True)
            dest_path = os.path.join(dest_path, f"{part}{sec}")

            run(
                [
                    "ln",
                    "-s",
                    source_link, 
                    dest_path,
                ]
            )